﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EasySite.Models
{
    public class CustomResult
    {
        public bool Success { get; set; }
        public string Message { get; set; }

        public void Succeed()
        {
            this.Success = true;
        }

        public void Fail(string message)
        {
            this.Success = false;
            this.Message = message;
        }
    }

    public class CustomResult<T> : CustomResult
    {
        public T Value { get; set; }
    }
}
