﻿using System;
using System.Web.Mvc;
using System.Web.Routing;

namespace EasySite.Infrastructure
{
    public class UnityControllerActivator : IControllerActivator
    {
        #region IControllerActivator Members

        public IController Create(RequestContext requestContext, Type controllerType)
        {
            return DependencyResolver.Current.GetService(controllerType) as IController;
        }

        #endregion
    }
}
